KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLTableColElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Regroups the COL and COLGROUP elements. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#edef-COL"> COL element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLTableColElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | align (self)
DOM.DOMString | ch (self)
DOM.DOMString | chOff (self)
| setAlign (self, DOM.DOMString a0)
| setCh (self, DOM.DOMString a0)
| setChOff (self, DOM.DOMString a0)
| setSpan (self, long a0)
| setVAlign (self, DOM.DOMString a0)
| setWidth (self, DOM.DOMString a0)
long | span (self)
DOM.DOMString | vAlign (self)
DOM.DOMString | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLTableColElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString align | ( |  | self ) |

Horizontal alignment of cell data in column. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-align-TD"> align attribute definition in HTML 4.0.

DOM.DOMString ch | ( |  | self ) |

Alignment character for cells in a column. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-char"> char attribute definition in HTML 4.0.

DOM.DOMString chOff | ( |  | self ) |

Offset of alignment character. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-charoff"> charoff attribute definition in HTML 4.0.

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align

setCh | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see ch

setChOff | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see chOff

setSpan | ( | self, |
|  | long | a0
| ) |  |  |

see span

setVAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see vAlign

setWidth | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see width

long span | ( |  | self ) |

Indicates the number of columns in a group or affected by a grouping. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-span-COL"> span attribute definition in HTML 4.0.

DOM.DOMString vAlign | ( |  | self ) |

Vertical alignment of cell data in column. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-valign"> valign attribute definition in HTML 4.0.

DOM.DOMString width | ( |  | self ) |

Default column width. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-width-COL"> width attribute definition in HTML 4.0.